Subject: Re: [PATCH] git: extend --no-lazy-fetch to work across subprocesses

From: Junio C Hamano <[email-masked]>
Date: Fri, 16 Feb 2024 15:01:48 -0800

Linus Arver <[email-masked]> writes:

> FWIW, I see some typos. Otherwise this patch along with your "git:
> document GIT_NO_REPLACE_OBJECTS environment variable" one both LGTM for
> wording/readability. I must defer to Peff and others for "is this patch
> actually doing the right thing?" ;).
>
> Junio C Hamano <[email-masked]> writes:
>
>> Modeling after how the `--no-replace-objects` option is made usable
>> across subprocess spawning (e.g., cURL based remote helpers are
>> spawned as a separate process while running "git fetch"), allow the
>> `--no-lazy-fetch` option to be passed across process boundary.
>
> s/boundary/boundaries

Right; thanks.

>
>> Do not model how the value of GIT_NO_REPLACE_OBJECTS environment
>> variable is ignored, though.  Just use the usual git_env_bool() to
>> allow "export GIT_NO_LAZY_FETCH=0" and "unset GIT_NO_LAZY_FETCH"
>> to be equivalents.
>
> s/equivalents/equivalent

I meant to say that these two are "equivalents" (noun, plural).

I can rephrase to

	Just use git_env_bool() to make "export GIT_NO_LAZY_FETCH=0"
	an equivalent to "unset GIT_NO_LAZY_FETCH".

though, of course.